#pragma once

#define MY_KL730_SIN_EXAMPLE_JOB_ID     4002
#define YOLO_BOX_MAX                    100

typedef struct {
    uint32_t class_count;
    uint32_t box_count;
    kp_bounding_box_t boxes[YOLO_BOX_MAX];
} __attribute__((aligned(4))) my_KL730_sin_example_yolo_result_t;

typedef struct {
    /* header stamp 是必需的 */
    kp_inference_header_stamp_t header_stamp;

    uint32_t img_width;
    uint32_t img_height;
} __attribute__((aligned(4))) my_KL730_sin_example_header_t;

typedef struct {
    /* header stamp 是必需的 */
    kp_inference_header_stamp_t header_stamp;

    my_KL730_sin_example_yolo_result_t yolo_result;
	
} __attribute__((aligned(4))) my_KL730_sin_example_result_t;